Package org.drinkless.tdlib

# Class TdApi.GetInlineQueryResults

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.InlineQueryResults>
org.drinkless.tdlib.TdApi.GetInlineQueryResults

Enclosing class:
  `TdApi`

public static class TdApi.GetInlineQueryResults extends TdApi.Function<TdApi.InlineQueryResults>
Sends an inline query to a bot and returns its results. Returns an error with code 502 if the bot fails to answer the query before the query timeout expires.

Returns `InlineQueryResults`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  Identifier of the target bot.
  `long`
  `chatId`
  Identifier of the chat where the query was sent.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `offset`
  Offset of the first entry to return; use empty string to get the first chunk of results.
  `String`
  `query`
  Text of the query.
  `TdApi.Location`
  `userLocation`
  Location of the user; pass null if unknown or the bot doesn't need user's location.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetInlineQueryResults()`
  Default constructor for a function, which sends an inline query to a bot and returns its results.
  `GetInlineQueryResults(long botUserId, long chatId, TdApi.Location userLocation, String query, String offset)`
  Creates a function, which sends an inline query to a bot and returns its results.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    Identifier of the target bot.

  - ### chatId

    public long chatId
    Identifier of the chat where the query was sent.

  - ### userLocation

    public TdApi.Location userLocation
    Location of the user; pass null if unknown or the bot doesn't need user's location.

  - ### query

    public String query
    Text of the query.

  - ### offset

    public String offset
    Offset of the first entry to return; use empty string to get the first chunk of results.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetInlineQueryResults

    public GetInlineQueryResults()
    Default constructor for a function, which sends an inline query to a bot and returns its results. Returns an error with code 502 if the bot fails to answer the query before the query timeout expires.

    Returns `InlineQueryResults`

  - ### GetInlineQueryResults

    public GetInlineQueryResults(long botUserId, long chatId, TdApi.Location userLocation, String query, String offset)
    Creates a function, which sends an inline query to a bot and returns its results. Returns an error with code 502 if the bot fails to answer the query before the query timeout expires.

    Returns `InlineQueryResults`

    Parameters:
      `botUserId` - Identifier of the target bot.
      `chatId` - Identifier of the chat where the query was sent.
      `userLocation` - Location of the user; pass null if unknown or the bot doesn't need user's location.
      `query` - Text of the query.
      `offset` - Offset of the first entry to return; use empty string to get the first chunk of results.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.InlineQueryResults>`
    Returns:
      this.CONSTRUCTOR